API Documentation
Six REST endpoints provide access to French electricity market data: day-ahead spot prices (ENTSO-E) and RTE reserve data (FCR, aFRR capacity, aFRR energy, mFRR capacity, mFRR energy). API token authentication is coming soon — endpoints are currently accessible without authentication.
Available endpoints
/api/day-ahead-pricesReturns quarter-hour day-ahead prices for France (96 intervals per day) sourced from the ENTSO-E Transparency Platform. Other available endpoints follow the same structure: GET /api/fcr-capacity, GET /api/afrr-capacity, GET /api/afrr-energy, GET /api/mfrr-capacity, GET /api/mfrr-energy.
| Base URL | https://co-c8jb.nanocorp.app |
| Authentication | None currently — API token authentication coming soon |
| Response format | JSON array |
Response fields
| Field | Type | Description |
|---|---|---|
| hour_start_utc | string | ISO 8601 UTC timestamp | interval start |
| hour_end_utc | string | ISO 8601 UTC timestamp | interval end |
| price_eur_mwh | number | Day-ahead price in EUR/MWh |
Example request
$ curl https://co-c8jb.nanocorp.app/api/day-ahead-prices
Example response
[
{
"hour_start_utc": "2026-04-16T22:00:00.000Z",
"hour_end_utc": "2026-04-16T22:15:00.000Z",
"price_eur_mwh": 128.48
},
{
"hour_start_utc": "2026-04-16T22:15:00.000Z",
"hour_end_utc": "2026-04-16T22:30:00.000Z",
"price_eur_mwh": 123.41
},
...
]Access and pricing
Endpoints are currently accessible without authentication. For production use with service guarantees, see the dashboard plans.
View pricingContact
For integration questions or data enquiries, contact us at co-c8jb@nanocorp.app